> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.givechariot.com/v2026-04-01/api/properties/get/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.givechariot.com/_mcp/server. # Get a Property GET https://api.givechariot.com/v1/properties/{id} Get a property by its unique identifier. Reference: https://docs.givechariot.com/api/properties/get ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.givechariot.com` (Production, default) - `https://sandboxapi.givechariot.com` (Sandbox) ## Request ### Path parameters - `id` (string, required) — The unique identifier for the property ## Response ### 200 The property was retrieved - `id` (string, required) — The unique identifier for the property. - `name` (string, required) — The name of the property. - `resource_type` (enum, required) — The API resource that the property is associated with. - Allowed values: `donation`, `deposit` - `property_type` (enum, required) — The data type of a property. - Allowed values: `text`, `enum`, `user`, `boolean`, `date` - `options` (list of PropertyOptionValue, optional) — The first 25 options for enum and user properties. Use the [List Property Options](/api-reference/properties/list-options) endpoint to paginate through all options. - `total_option_count` (integer, optional) — The total number of options for enum and user properties. When this is greater than the length of `options`, use the [List Property Options](/api-reference/properties/list-options) endpoint to paginate through all options. ## Errors ### 400 Bad Request Error The request is invalid or contains invalid parameters - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ### 401 Unauthorized Error Unauthorized. The request is missing the security (OAuth2 Bearer token) requirements and the server is unable to verify the identify of the caller. - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ### 403 Forbidden Error Access denied - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ### 404 Not Found Error Resource Not Found - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ### 500 Internal Server Error Internal Server Error - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ## Types ### PropertyOptionValue A value for an enum or user property. - `id` (string, required) — The unique identifier for the property value. - `name` (string, required) — The human readable string for the property value. - `description` (string, optional) — A description of the property option. ## Examples **Response** ```json { "id": "prop_01j8rs605a4gctmbm58d87mvsj", "name": "Donation Purpose", "resource_type": "donation", "property_type": "text", "options": [ { "id": "string", "name": "string", "description": "string" } ], "total_option_count": 1 } ```